"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.storeInit = storeInit;
exports.storeConnectReactor = storeConnectReactor;

var _actionTypes = require("./actionTypes");

function storeInit() {
  return {
    type: _actionTypes.STORE_INIT,
    payload: {}
  };
}

function storeConnectReactor(reactorData) {
  return {
    type: _actionTypes.STORE_CONNECT_REACTOR,
    payload: reactorData
  };
}