"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.storeInfo = void 0;

var _immer = _interopRequireDefault(require("immer"));

var _actionTypes = require("../actions/actionTypes");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var initialState = {
  isInit: false
};

var storeInfo = function storeInfo() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments.length > 1 ? arguments[1] : undefined;
  return (0, _immer["default"])(state, function (draft) {
    switch (action.type) {
      case _actionTypes.STORE_INIT:
        draft.isInit = true;
        break;
    }
  });
};

exports.storeInfo = storeInfo;