"use strict";

require("core-js/modules/es.symbol");

require("core-js/modules/es.array.filter");

require("core-js/modules/es.array.for-each");

require("core-js/modules/es.object.define-properties");

require("core-js/modules/es.object.define-property");

require("core-js/modules/es.object.get-own-property-descriptor");

require("core-js/modules/es.object.get-own-property-descriptors");

require("core-js/modules/es.object.keys");

require("core-js/modules/web.dom-collections.for-each");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ulid = require("ulid");

var _factor = _interopRequireDefault(require("./factor"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Shuo = /*#__PURE__*/function () {
  function Shuo(props) {
    _classCallCheck(this, Shuo);

    _defineProperty(this, "_content", void 0);

    _defineProperty(this, "_rule", void 0);

    this._content = {
      characterInfo: {
        dataSet: []
      },
      terrainInfo: {
        dataSet: []
      }
    };
    this._rule = null;
  }

  _createClass(Shuo, [{
    key: "init",
    value: function init() {
      var _this = this;

      var ulid = (0, _ulid.monotonicFactory)(); //TODO decode factor object to content

      this._rule = _factor["default"].rules;

      _factor["default"].characters.forEach(function (c) {
        _this._content.characterInfo.dataSet.push({
          qinId: ulid(),
          type: 'character',
          name: c.displayName,
          coordinates: c.coordinates
        });
      });

      _factor["default"].terrains.forEach(function (t) {
        _this._content.terrainInfo.dataSet.push(_objectSpread({}, t.attribute, {
          qinId: t.attribute.qinId || ulid()
        }));
      });
    }
  }, {
    key: "loadExtra",
    value: function loadExtra(extra) {
      // TODO: defined override process
      this._rule = _objectSpread({}, this._rule, {}, extra);
    }
  }, {
    key: "getRule",
    value: function getRule() {
      return this._rule;
    }
  }, {
    key: "getContent",
    value: function getContent() {
      return this._content;
    }
  }, {
    key: "reload",
    value: function reload() {
      this.init();
    }
  }]);

  return Shuo;
}();

var _default = Shuo;
exports["default"] = _default;